import { FrameworkDetector, ScanContext, RouteBinding } from '../../types.js';

declare class TanstackRouterDetector implements FrameworkDetector {
    readonly name = "tanstack-router";
    readonly language = "typescript";
    readonly filePattern: RegExp;
    private projectFiles;
    detect(projectRoot: string, files: string[]): Promise<boolean>;
    extractRoutes(filePath: string, content: string, ctx: ScanContext): Promise<RouteBinding[]>;
}

export { TanstackRouterDetector };
